Various utilities for Sequence Alignments, and Comparative Structure Prediction
Utilities
Collaboration diagram for Various utilities for Sequence Alignments, and Comparative Structure Prediction:

## Files

file | aln_util.h
| Various utility- and helper-functions for sequence alignments and comparative structure prediction.

## Data Structures

struct | vrna_pinfo_s
| A base pair info structure. More...

## Typedefs

typedef struct vrna_pinfo_s | vrna_pinfo_t
| Typename for the base pair info repesenting data structure vrna_pinfo_s.
typedef struct vrna_pinfo_s | pair_info
| Old typename of vrna_pinfo_s. More...

## Functions

vrna_pinfo_t * | vrna_aln_pinfo (vrna_fold_compound_t *vc, const char *structure, double threshold)
| Retrieve an array of vrna_pinfo_t structures from precomputed pair probabilities. More...

## Detailed Description

## Data Structure Documentation

struct vrna_pinfo_s

A base pair info structure.

For each base pair (i,j) with i,j in [0, n-1] the structure lists:

- its probability 'p'
- an entropy-like measure for its well-definedness 'ent'
- the frequency of each type of pair in 'bp[]'
  - 'bp[0]' contains the number of non-compatible sequences
  - 'bp[1]' the number of CG pairs, etc.

### Data Fields

unsigned | i
| nucleotide position i
unsigned | j
| nucleotide position j
float | p
| Probability.
float | ent
| Pseudo entropy for .
short | bp [8]
| Frequencies of pair_types.
char | comp
| 1 iff pair is in mfe structure

## Typedef Documentation

typedef struct vrna_pinfo_s pair_info

`#include <ViennaRNA/aln_util.h>`

Old typename of vrna_pinfo_s.

Deprecated:
  Use vrna_pinfo_t instead!

## Function Documentation

vrna_pinfo_t* vrna_aln_pinfo | ( | vrna_fold_compound_t * | vc,
|  | const char * | structure,
|  | double | threshold
| ) |  |

`#include <ViennaRNA/aln_util.h>`

Retrieve an array of vrna_pinfo_t structures from precomputed pair probabilities.

This array of structures contains information about positionwise pair probabilies, base pair entropy and more

See also
  vrna_pinfo_t, and vrna_pf()

Parameters

  vc | The vrna_fold_compound_t of type VRNA_VC_TYPE_ALIGNMENT with precomputed partition function matrices
  structure | An optional structure in dot-bracket notation (Maybe NULL)
  threshold | Do not include results with pair probabilities below threshold

Returns
  The vrna_pinfo_t array